Skip to content
Start here

List Origins

GET/radar/origins

Retrieves a list of origins with their regions.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Query ParametersExpand Collapse
format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
limit: optional number

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
offset: optional number

Skips the specified number of objects before fetching the results.

minimum0
ReturnsExpand Collapse
result: { origins }
origins: array of { regions, slug }
regions: array of { region }
region: string

The region code.

slug: string

The origin slug.

success: boolean

List Origins

curl https://api.cloudflare.com/client/v4/radar/origins \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "origins": [
      {
        "regions": [
          {
            "region": "us-east-1"
          }
        ],
        "slug": "amazon"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "origins": [
      {
        "regions": [
          {
            "region": "us-east-1"
          }
        ],
        "slug": "amazon"
      }
    ]
  },
  "success": true
}